Page MenuHomePhabricator

Introduce ParserCacheSave hook
Closed, ResolvedPublic1 Story Points

Description

ParserCacheSave should fire whenever a ParserOutput object is saved into the parser cache. This allows extensions to track which parser cache entries need purging, based on meta-info in the ParserOutput.

Use case: Wikibase wants to track which entities are used how in each rendering of a page. In particular, usages need to be tracked separately for each user language, if the parser cache is split by user language.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

daniel created this task.May 18 2015, 10:35 AM
daniel raised the priority of this task from to High.
daniel updated the task description. (Show Details)
daniel added subscribers: daniel, Aklapper, Rical and 5 others.
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.May 18 2015, 3:23 PM
Rical removed a subscriber: Rical.May 18 2015, 9:24 PM

Picking this up for the current sprint again, since it's small, blocks progress, and likely will take a while to get merged.

daniel claimed this task.May 20 2015, 10:25 AM

Change 212278 had a related patch set uploaded (by Daniel Kinzler):
Introduce ParserCacheSaveComplete hook.

https://gerrit.wikimedia.org/r/212278

Tobi_WMDE_SW edited a custom field.May 25 2015, 11:04 AM

Change 212278 merged by jenkins-bot:
Introduce ParserCacheSaveComplete hook.

https://gerrit.wikimedia.org/r/212278

daniel closed this task as Resolved.May 25 2015, 2:26 PM

merged

daniel moved this task from Doing to Done on the Wikidata-Sprint-2015-05-05 board.May 25 2015, 2:26 PM